{
  "name": "@antv/x6-components",
  "version": "0.10.0",
  "description": "React components for building x6 editors",
  "main": "lib/index.js",
  "module": "es/index.js",
  "unpkg": "dist/x6-components.min.js",
  "types": "lib/index.d.ts",
  "files": [
    "dist",
    "es",
    "lib"
  ],
  "sideEffects": [
    "es/**/style/*",
    "lib/**/style/*",
    "*.less"
  ],
  "scripts": {
    "clean": "rimraf dist es lib",
    "lint": "run-s lint:ts lint:es lint:style",
    "lint:es": "eslint --ext .js scripts --fix",
    "lint:ts": "tslint -c tslint.json -p tsconfig.json --fix",
    "lint:style": "stylelint 'src/**/*.less' --syntax less --fix",
    "build:esm": "tsc --module esnext --target es2015 --outDir ./es",
    "build:cjs": "tsc --module commonjs --target es5 --outDir ./lib",
    "build:ts": "run-p build:cjs build:esm",
    "build:less": "node ./scripts/less.js",
    "build": "run-s build:ts build:less",
    "prebuild": "run-s lint clean",
    "watch": "watch 'yarn build' ./src",
    "prepare": "yarn build",
    "precommit": "lint-staged"
  },
  "keywords": [
    "component",
    "components",
    "react-components",
    "x6",
    "x6-editor",
    "editor",
    "ui",
    "antv"
  ],
  "lint-staged": {
    "src/**/*.ts": [
      "tslint -c tslint.json -p ./tsconfig.json --fix"
    ],
    "*.js": [
      "eslint --fix"
    ],
    "src/**/*.less": [
      "stylelint --syntax less --fix"
    ]
  },
  "dependencies": {
    "clamp": "^1.0.1",
    "classnames": "^2.2.6",
    "rc-dropdown": "^3.0.0-alpha.0",
    "rc-util": "^4.15.7",
    "react-color": "^2.17.3",
    "react-resize-detector": "^4.2.1",
    "ua-parser-js": "^0.7.20"
  },
  "devDependencies": {
    "@babel/core": "^7.9.6",
    "@babel/preset-env": "^7.9.6",
    "@babel/preset-react": "^7.9.4",
    "@types/antd": "^1.0.0",
    "@types/classnames": "^2.2.9",
    "@types/mini-css-extract-plugin": "^0.9.1",
    "@types/node": "^14.0.1",
    "@types/react": "^16.9.13",
    "@types/react-color": "^3.0.1",
    "@types/react-resize-detector": "^4.2.0",
    "@types/ua-parser-js": "^0.7.33",
    "antd": "^3.19.5",
    "babel-loader": "^8.0.6",
    "eslint": "^6.1.0",
    "fs-extra": "^9.0.0",
    "less-loader": "^6.1.0",
    "lint-staged": "^10.2.2",
    "mini-css-extract-plugin": "^0.9.0",
    "npm-run-all": "^4.1.5",
    "react": "^16.12.0",
    "react-dom": "^16.12.0",
    "rimraf": "^3.0.0",
    "stylelint": "^13.3.3",
    "stylelint-order": "^4.0.0",
    "ts-node": "^8.6.2",
    "tslint": "^6.1.2",
    "tslint-config-prettier": "^1.18.0",
    "tslint-eslint-rules": "^5.4.0",
    "tslint-react": "^4.1.0",
    "typescript": "3.8.3",
    "watch": "^1.0.2"
  },
  "peerDependencies": {
    "antd": ">=3.19.5",
    "react": ">=16.8.6",
    "react-dom": ">=16.8.6"
  },
  "author": {
    "name": "bubkoo",
    "email": "bubkoo.wy@gmail.com"
  },
  "contributors": [],
  "license": "MIT",
  "homepage": "https://github.com/antvis/x6",
  "bugs": {
    "url": "https://github.com/antvis/x6/issues"
  },
  "repository": "https://github.com/antvis/x6/tree/master/packages/x6-components",
  "publishConfig": {
    "access": "public",
    "registry": "https://registry.npmjs.org"
  }
}
